lea.h File Reference

Classes for the LEA block cipher. More...

Go to the source code of this file.

## Classes

struct | LEA_Info
| LEA block cipher information. More...
class | LEA
| LEA 128-bit block cipher. More...
class | LEA::Base
| LEA block cipher transformation functions. More...
class | LEA::Enc
| Encryption transformation. More...
class | LEA::Dec
| Decryption transformation. More...

## Macros

#define | CRYPTOPP_LEA_ADVANCED_PROCESS_BLOCKS 1

## Typedefs

typedef LEA::Encryption | LEAEncryption
typedef LEA::Decryption | LEADecryption

## Detailed Description

Classes for the LEA block cipher.

Since
  Crypto++ 8.0

Definition in file lea.h.